Unable to update to 2.1.x mbstring

Started by alastairnyght, October 04, 2022, 12:18:26 PM

Previous topic - Next topic

alastairnyght

I'm trying to upgrade my forum from 2.0.19 to 2.1.2 and the upgrader is kicking back that I'm missing the mbstring library. However it is installed. I've included the output of 'php -m'. The currently installed version of php is 7.0.33.

Doug Heffernan

You are running an older version of php. Have you considered upgrading it to the newest.

alastairnyght

I have, but I can't yet. It's on the to-do list.

Doug Heffernan

Can you double check that the mbstring extension is really installed?

alastairnyght

[email protected]:~$ php -a
Interactive mode enabled

php > echo extension_loaded('mbstring');
1

Doug Heffernan

Quote from: alastairnyght on October 04, 2022, 01:02:38 PM[email protected]:~$ php -a
Interactive mode enabled

php > echo extension_loaded('mbstring');
1


If the aforementioned extension is installed, the upgrader shouldn't display that error message. Can you post a screenshot of the upgrade page?

alastairnyght

I've reverted it back to 2.0.19 for the time being since I didn't want a broken forum for hours on end. It was the initial page of upgrade.php, it said that it couldn't find the mbstring library and that I should install it. Then below that was a link to try again. Clicking the recheck link did not help. On the right was the progress graphic with the different steps of the upgrade process. I'd prefer not to break it again just to get a picture.

Sesquipedalian

Sometimes the build and configuration of PHP that is available on the command line is not the same as the one that is available to the web service. This is especially common when FastCGI is being used on a server.

Try saving the following code to a test.php file on your server and then viewing it in your browser.

<?php phpinfo(); ?>
The output will reveal info about the PHP configuration that your web service has access to, which is the info that you actually need in order to deal with this problem.
Slava Ukraini!
Heroiam slava!

I promise you nothing.

Sesqu... Sesqui... what?
Sesquipedalian, the best word in the English language.

alastairnyght

It finally started working for me. I had some of that pesky life stuff to handle so I left it alone for a few hours. Came back and tried again and the update worked. Not really sure on the why it would suddenly work when it didn't before.

Advertisement: